#include <stdlib.h>

#include "btex.h"

#include "memwatch.h"


unsigned char *vertical_flip( unsigned char *img,
                              int width, int height, int depth ) {
    unsigned char * tmp_buff;
    int c, d = width * depth, off, off2;

    tmp_buff = ( unsigned char * ) malloc( width * height * depth );

    for ( c = height - 1, off = 0, off2 = width * ( height - 1 ) * depth;
            c >= 0; c--, off += d, off2 -= d )
        memcpy( tmp_buff + off, img + off2, d );
    free( img );
    return tmp_buff;
}

int load_tex( tex *tex ) {
    unsigned char * image;

    image = read_sgi( tex->filename, &tex->width, &tex->height, &tex->depth );
    if ( image == NULL ) return 1;
    image = vertical_flip( image, tex->width, tex->height, tex->depth );

    tex->data = image;
    return 0;
}
