
#include "gadj.h"
#include "frame.h"

#include "memwatch.h"




Point adj_win_to_world( double x, double y, gadj *adj ) {
    
    Point result;
    int compareIndexX = adj->win_x;
    int compareIndexY = adj->win_y;
    
    result.v[0] = result.v[1] = result.v[2] = 0.0f;

    y = adj->height - y;  // converts x11 coord system into the 
			    // ogl system, with origin in lowerleft
    
    // make the x and y coords relative to the center of the drawing area
    x -= ((double)adj->width)  / 2.0f;
    y -= ((double)adj->height) / 2.0f;

    // compensate for zoom factor
    x /= adj->scale;
    y /= adj->scale;
    

    x += adj->origin.v[compareIndexX];
    y += adj->origin.v[compareIndexY];
    
    result.v[compareIndexX] = x;
    result.v[compareIndexY] = y;
    
    return result;
}

Point adj_world_to_win( double * v, gadj *adj ) {
    
    Point result;
    int compareIndexX = adj->win_x;
    int compareIndexY = adj->win_y;
    double x = v[compareIndexX];
    double y = v[compareIndexY];
    
    result.v[0] = result.v[1] = result.v[2] = 0.0f;

    
    x -= adj->origin.v[compareIndexX];
    y -= adj->origin.v[compareIndexY];
    

    // compensate for zoom factor
    x *= adj->scale;
    y *= adj->scale;

    // make the x and y coords relative to the lower left of the drawing area
    x += ((double)adj->width)  / 2.0f;
    y += ((double)adj->height) / 2.0f;
    
    y = adj->height - y;  // converts from ogl coord sys to x11 coord sys

    result.v[0] = x;
    result.v[1] = y;

    
    return result;
}



