/* 
 * File:         error_queue.c
 * 
 * Description:  queues error messages and displays them
 * 
 * This source code is part of kludge3d, and is released under the 
 * GNU General Public License.
 * 
 * 
 */


#include <glib.h>
#include <gtk/gtk.h>
#include <string.h>

#include "memwatch.h"



GList* error_queue = NULL;





void eq_add_message( char *error_mesg ) {
    if( error_mesg == NULL )
        return;
    
    error_queue = g_list_append( error_queue, strdup( error_mesg ) );
    
}


void eq_clear_queue(  ) {
    
    GList * eql = error_queue;
    
    for( ; eql; eql = eql->next ) {
        if( eql->data != NULL ) {
            free( eql->data );
            eql->data = NULL;
        }
    }
    
    g_list_free( error_queue );
    error_queue = NULL;
}



void eq_show_messages(  ) {

    // FIXME - gtk text box output, not printf's
    
    GList * eql = error_queue;
    
    if( g_list_length( error_queue ) == 0 )
        return;
    
    for( ; eql; eql = eql->next ) {
        if( eql->data != NULL ) {
            printf( "error: %s\n", (char*)eql->data );
        }
    }
    
    
    eq_clear_queue();
}


