/* 
 * File:         glpreview.h
 * 
 * Description:  header for glp.c
 * 
 * 
 * This source code is part of kludge3d, and is released under the 
 * GNU General Public License.
 * 
 * 
 */
 
#ifndef GL_PREVIEW_H
#define GL_PREVIEW_H

#include <gtk/gtk.h>
#include <GL/gl.h>
#include <GL/glu.h>
#include <gtkgl/gtkglarea.h>

#include "geo.h"
#include "view.h"


GtkWidget *make_new_gl_preview( int type );

void glp_glconfigure( model_view *view );
void glp_glviewport( model_view *view );
void glp_ortho_viewport( model_view *view );


void glp_render( model_view *view );


Point *glp_test_click_vertex( model_view *view, GLfloat *z, 
                              guint x, guint y );
Tri *glp_test_click_surface( model_view *view, GLfloat *z,
                             guint xc, guint yc );


#endif
