/* 
 * File:         points.h
 * 
 * Description:  header for points.c
 * 
 * 
 * This source code is part of kludge3d, and is released under the 
 * GNU General Public License.
 * 
 * 
 */
 
#ifndef POINTS_H
#define POINTS_H

#include <GL/gl.h>
#include <GL/glu.h>
#include <gtk/gtk.h>

#include "geo.h"
#include "mesh.h"
#include "globals.h"


extern int xyz_state;
extern GdkPixmap *pixmap;
extern GList *selected_points;

Point* point_new( void );
void point_add_v( Mesh* m, Point *np );
//Point *point_add( double x, double y );


void point_select_v( Point *p );
//void point_select( double x, double y );
//Point* single_point_select( double x, double y );

void point_unselect_v( Point *p );
void point_unselect_all( void );

void point_move_selected( float deltaX, float deltaY, float deltaZ );

void point_del_v( Mesh* m, Point *np );

void points_copy( void );
void points_cut( void );
void points_paste( void );

#endif
