/* 
 * File:         texture.h
 * 
 * Description:  header for texture.c
 * 
 * 
 * This source code is part of kludge3d, and is released under the 
 * GNU General Public License.
 * 
 * 
 */
 
#ifndef TEXTURE_H
#define TEXTURE_H

#include <glib.h>


#define TEXTURE_SIZE 128  /* all textures are scaled to this */

typedef struct _tex tex;

struct _tex {
    guchar *data;
    gint width, height, depth;
    char *filename, *name;
    guchar *thumbnail_data;
    gint thumbnail_width, thumbnail_height;
};

tex *tex_new( void );
void tex_delete( tex* tt );
int tex_load( tex *ntex );
void tex_scale( tex *ntex, int width, int height );

#endif
